./security/php-pecl-mcrypt, Bindings for the libmcrypt library

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.0.4, Package name: php74-pecl-mcrypt-1.0.4, Maintainer: pkgsrc-users

Bindings for the libmcrypt library for PHP 7.1 and later.


Required to run:
[security/libmcrypt] [lang/php73]

Required to build:
[pkgtools/cwrappers] [devel/pcre2]

Master sites:


Version history: (Expand)


CVS history: (Expand)


   2021-10-26 13:18:07 by Nia Alarie | Files touched by this commit (605)
Log message:
security: Replace RMD160 checksums with BLAKE2s checksums

All checksums have been double-checked against existing RMD160 and
SHA512 hashes

Unfetchable distfiles (fetched conditionally?):
./security/cyrus-sasl/distinfo \ 
cyrus-sasl-dedad73e5e7a75d01a5f3d5a6702ab8ccd2ff40d.patch.v2
   2021-10-07 16:54:50 by Nia Alarie | Files touched by this commit (606)
Log message:
security: Remove SHA1 hashes for distfiles
   2021-01-03 08:35:08 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
security/php-pecl-mcrypt: update to 1.0.4

pkgsrc change: Switch to use PHP_VERSIONS_INCOMPATIBLE.

1.0.4 (2020-12-02)

- Make release to advertise PHP 8 support, which it already had.
   2019-12-16 17:30:15 by Takahiro Kambe | Files touched by this commit (18)
Log message:
Drop php71 support

Drop php71 support mechanically.
   2019-12-16 01:10:37 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
security/php-pecl-mcrypt: update to 1.0.3

Update php-pecl-mcrypt to 1.0.3.

o pkgsr change: allow build on php74.

1.0.3 (2019-09-17)

* Addressed Windows build issues
   2019-04-30 06:05:45 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
security/php-pecl-mcrypt: update to 1.0.2

Changes are not available.  But it seems set correct PHP_MCRYPT_VERSION
instead of PHP's version.
   2018-12-16 03:46:39 by Takahiro Kambe | Files touched by this commit (1)
Log message:
security/php-pecl-mcrypt: allow build with php73
   2017-11-15 23:01:22 by Takahiro Kambe | Files touched by this commit (1)
Log message:
security/php-pecl-mcrypt: enable php72

It should support php72.  (Not tested yet.)